One vendor's components and their current status, to choose which a component follows.
GET
/status_page/third_party/vendors/{slug}
const url = 'https://api.siteqwality.com/status_page/third_party/vendors/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/status_page/third_party/vendors/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” slug
required
string
Vendor slug
Responses
Section titled “ Responses ”The vendor and its components
Media type application/json
object
slug
required
string
name
required
string
status_page_url
string | null
lists_all_components
required
boolean
indicator
none, maintenance, minor, major or critical; null when no current status is
available.
string | null
updated_at
When the vendor’s status was last read.
string | null format: date-time
components
required
Empty when no current status is available; the vendor can still be followed as a whole.
Array<object>
object
id
required
What vendor_component_ids names.
string
name
required
string
group
string | null
status
required
operational, under_maintenance, degraded_performance, partial_outage or
major_outage.
string
Example generated
{ "slug": "example", "name": "example", "status_page_url": "example", "lists_all_components": true, "indicator": "example", "updated_at": "2026-04-15T12:00:00Z", "components": [ { "id": "example", "name": "example", "group": "example", "status": "example" } ]}Missing or invalid authentication
No such vendor
The vendor could not be loaded; try again